/**
 * User: Clinton Begin
 * Date: Jul 13, 2003
 * Time: 7:20:37 PM
 */
package com.ibatis.jpetstore.persistence.dao.sqlmapdao;

import com.ibatis.jpetstore.domain.*;
import com.ibatis.jpetstore.persistence.dao.iface.*;
import com.ibatis.db.dao.*;

import java.util.*;

public class CategorySqlMapDao extends BaseSqlMapDao implements CategoryDao {

  public List getCategoryList()
      throws DaoException {
    return executeQueryForList("getCategoryList", null);
  }

  public Category getCategory(String categoryId)
      throws DaoException {
    return (Category) executeQueryForObject("getCategory", categoryId);
  }

}
